# $Revision: 1.6 $, $Date: 2001/12/19 04:15:03 $
Summary:	rshproxy is an application level gateway for the remote shell protocol
Summary(pl):	rshproxy jest aplikacyjn bramk dla protokou remote shell
Name:		rshproxy
Version:	1.0.3
Release:	2
License:	GPL
Group:		Applications/Networking
Group(de):	Applikationen/Netzwerkwesen
Group(pl):	Aplikacje/Sieciowe
Source0:	http://www.quietsche-entchen.de/download/%{name}-%{version}.tar.gz
Source1:	%{name}.inetd
Patch0:		%{name}-crypt.patch
Prereq:		rc-inetd >= 0.8.1
URL:		http://www.quietsche-entchen.de/software/rsh.proxy.html
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Conflicts:	proxytools

%description
rsh.proxy is a proxy server for remote shell protocol.

%description -l pl
rsh.proxy jest aplikacyjn bramk dla protokou zdalnego shella
(remote shell).

%prep
%setup -q
%patch -p1

%build
%{__make} \
	CC=%{__cc} \
	CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man1,/etc/sysconfig/rc-inetd}

install rsh.proxy $RPM_BUILD_ROOT%{_sbindir}
install rsh.proxy.1 $RPM_BUILD_ROOT%{_mandir}/man1

install %{SOURCE1} $RPM_BUILD_ROOT/etc/sysconfig/rc-inetd/rshproxy

gzip -9nf README

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f /var/lock/subsys/rc-inetd ]; then
	/etc/rc.d/init.d/rc-inetd reload 1>&2
else
	echo "Type \"/etc/rc.d/init.d/rc-inetd start\" to start inet server" 1>&2
fi

%postun
if [ "$1" = "0" -a -f /var/lock/subsys/rc-inetd ]; then
	/etc/rc.d/init.d/rc-inetd reload
fi
    
%files
%defattr(644,root,root,755)
%doc *.gz
%attr(640,root,root) %config %verify(not size mtime md5) /etc/sysconfig/rc-inetd/rshproxy
%attr(755,root,root) %{_sbindir}/rsh.proxy
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: rshproxy.spec,v $
Revision 1.6  2001/12/19 04:15:03  kloczek
- cosmetics.

Revision 1.5  2001/12/13 09:14:16  qboosh
- Conflicts: proxytools

Revision 1.4  2001/12/12 20:05:50  blues
- release 2
- URL added

Revision 1.3  2001/12/03 09:24:42  qboosh
- more cosmetics

Revision 1.2  2001/12/03 09:17:32  qboosh
- cosmetics

Revision 1.1  2001/12/03 09:13:23  qboosh
- taken from dead proxytools.spec, spec based on ftpproxy.spec
